﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace Publishing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void LoadButton_OnClick(object sender, RoutedEventArgs e)
        {
            var ShpFilePath = @"ShpFiles\Cardiff_OA_region.shp";

            wpfMap1.MapUnit = GeographyUnit.Meter;

            ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(ShpFilePath);

            layer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle =
                LineStyles.CreateSimpleLineStyle(GeoColor.SimpleColors.Red, 1, true);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay layerOverlay = new LayerOverlay();

            layerOverlay.Layers.Add(layer);

            wpfMap1.Overlays.Add(layerOverlay);

            layer.Open();
            wpfMap1.CurrentExtent = layer.GetBoundingBox();
            layer.Close();

            wpfMap1.Refresh();
        }

        private void PrintButton_OnClick(object sender, RoutedEventArgs e)
        {
            var printWindow = new PrintWindow();
            printWindow.ShpFilePath = @"ShpFiles\Cardiff_OA_region.shp";
            printWindow.ShowDialog();
        }
    }
}
